#ifndef RHGauge_h
#define RHGauge_h
/*
   (c)2014-2019 Forward Computing and Control Pty. Ltd.
   NSW Australia, www.forward.com.au
   This code is not warranted to be fit for any purpose. You may only use it at your own risk.
   This code may be freely used for both private and commercial use
   Provide this copyright is maintained.
*/
#include <pfodControl.h>

class RHGauge : public pfodControl {
  public:
    RHGauge( pfodDwgs *_dwgsPtr);
    void draw();
    void update();
    static const int RANGE = 200; // range of this gauge

  private:
    int fullScaleAngle;
    int z_idx;
};
#endif // RHGauge_h
