#ifndef Thermometer_h
#define Thermometer_h
/*
   (c)2014-2018 Forward Computing and Control Pty. Ltd.
   NSW Australia, www.forward.com.au
   This code is not warranted to be fit for any purpose. You may only use it at your own risk.
   This code may be freely used for both private and commercial use
   Provide this copyright is maintained.
*/
#include <pfodControl.h>

class Thermometer : public pfodControl {
  public:
    Thermometer(pfodDwgs *_dwgsPtr);
    void draw();
    void update();
    char getCmd();
    static const int RANGE = 600;
    static const int MIN_C = -10;
    static const int MAX_C = 50;

  private:
    char sliderCmd;
    int z_idx; // z-order start index
};
#endif // Thermometer_h
